<template>
  <Layout>
    <div class="project-title">
      <h1>{{ $page.project.title }}</h1>
    </div>

    <div class="project-content leading-relaxed" v-html="$page.project.content"/>
    <div v-if="$page.project.link" class="project-meta text-center">
      <g-link class="link-background" :to="$page.project.link">Voir le site</g-link>
    </div>
  </Layout>
</template>

<script>
export default {
  metaInfo() {
    return {
      title: this.$page.project.title,
      meta: [
        {
          name: 'subject',
          content: this.$page.project.description
        }
      ]
    }
  }
}
</script>

<page-query>
query Projects ($id: ID!) {
  project: projects (id: $id) {
    title
    content
    description
    link
  }
}
</page-query>